
function getRegionalInfo() {
  jQuery("#regional_options_manager_waiting_cont").attr("style", "display:block");
  jQuery("#regional_options_manager_waiting_logo").attr("style", "display:block");
  jQuery.ajax({
    url: "/apps/regionaloptions/includes/service_regionaloptions.php",
    type: "POST",
    async: true,
    data: {
      "action": "getRegional"
    },
    timeout: 30000,
    dataType: "json",
    success: function(r) {
      ///console.log(r);
      jQuery("#regional_options_manager_waiting_cont").attr("style", "display:none");
      jQuery("#regional_options_manager_waiting_logo").attr("style", "display:none");
      jQuery('#regional_options_manager_date').val(r.getdate);
      jQuery('#regional_options_manager_timezone').html(r.strArea);
      if (r.timeAutochecked == 'no') {
        jQuery('#regional_options_manager_timeAutochecked').prop('checked', false)
      } else {
        jQuery('#regional_options_manager_timeAutochecked').prop('checked', true)
      }

      var regional_time_hour = r.gethour;
      var regional_time_minute = r.getminute;
      var regional_time_second = r.getsecond;
      var strHour = '';
      var hournum;
      for (var i = 0; i < 24; i++) {
        strHour += '<option value=\"' + i + '\">' + i + '</option>';
        jQuery('#regional_options_manager_time_hour').html(strHour);
        if (regional_time_hour == i) {
          hournum = i;
        }
      }
      var strMinute = '';
      var minutenum;
      for (var i = 0; i < 60; i++) {
        strMinute += '<option value=\"' + i + '\">' + i + '</option>';
        jQuery('#regional_options_manager_time_minute').html(strMinute);
        if (regional_time_minute == i) {
          minutenum = i;
        }
      }
      var secondnum;
      var strSecond = '';
      for (var i = 0; i < 60; i++) {
        strSecond += '<option value=\"' + i + '\">' + i + '</option>';
        jQuery('#regional_options_manager_time_second').html(strSecond);
        if (regional_time_second == i) {
          secondnum = i;
        }
      }
      jQuery('#regional_options_manager_time_hour').val(hournum);
      jQuery('#regional_options_manager_time_minute').val(minutenum);
      jQuery('#regional_options_manager_time_second').val(secondnum);




    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
      jQuery('#regional_options_manager_waiting_cont').attr("style", "display:none");
      jQuery('#regional_options_manager_waiting_logo').attr("style", "display:none");
    }
  });
}

function submit_setRegional() {
  var regional_time_hour = jQuery('#regional_options_manager_time_hour').val();
  var regional_time_minute = jQuery('#regional_options_manager_time_minute').val();
  var regional_time_second = jQuery('#regional_options_manager_time_second').val();
  var area_select = jQuery('#regional_options_manager_timezone').val();
  var regional_options_getdate = jQuery('#regional_options_manager_date').val();
  var timeAutochecked = jQuery('#regional_options_manager_timeAutochecked').prop('checked') ? "1" : "0";

  jQuery("#regional_options_manager_waiting_cont").attr("style", "display:block");
  jQuery("#regional_options_manager_waiting_logo").attr("style", "display:block");

  jQuery.ajax({
    url: "/apps/regionaloptions/includes/service_regionaloptions.php",
    type: "POST",
    async: true,
    data: {
      "regional_time_hour": regional_time_hour,
      "regional_time_minute": regional_time_minute,
      "regional_time_second": regional_time_second,
      "regional_options_getdate": regional_options_getdate,
      "area_select": area_select,
      "timeAutochecked": timeAutochecked,
      "action": "setRegional"
    },
    timeout: 30000,
    success: function(r) {
      getRegionalInfo();
      try {
        if (typeof(eval(getRegionalInfo_cp)) == "function") {
          getRegionalInfo_cp();
        } else {}
      } catch (e) {};
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    }
  })
}

(function() {
  getRegionalInfo();
})();
